
Website Monitoring - Bug #934

Error when trying to find checkpoint data

01/12/2015 06:59 PM - Luke Murphey

Status: Closed Start date: 01/12/2015

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.5   

Description

File "/opt/splunk/etc/apps/website_monitoring/bin/modular_input.py", line 1245, in execute

self.do_run(in_stream, log_exception_and_continue=True)

File "/opt/splunk/etc/apps/website_monitoring/bin/modular_input.py", line 1145, in do_run

input_config)

File "/opt/splunk/etc/apps/website_monitoring/bin/web_ping.py", line 321, in run

last_ran = self.last_ran(input_config.checkpoint_dir, stanza)

File "/opt/splunk/etc/apps/website_monitoring/bin/modular_input.py", line 984, in last_ran

checkpoint_dict = cls.get_checkpoint_data(checkpoint_dir, stanza)

File "/opt/splunk/etc/apps/website_monitoring/bin/modular_input.py", line 1044, in get_checkpoint_data

fp = open( cls.get_file_path(checkpoint_dir, stanza) )

IOError: [Errno 2] No such file or directory:

u'/opt/splunk/var/lib/splunk/modinputs/web_ping/4ebd4353a95b8f4ff43591b0e97fab527f0732a12b7ba85780d1bc9c.json'

History

#1 - 01/12/2015 07:01 PM - Luke Murphey

What is known:

Hashing the stanza name doesn't reveal the same hash

Not all inputs are affected

Questions:

Why are some inputs affected?

What is the content of the stanza name?

Why is a new directory not being made?

Why are json files 32 characters long (that implies md5, not sha224)

#2 - 01/12/2015 09:47 PM - Luke Murphey

- Assignee set to Luke Murphey

- Target version set to 1.0.5

#3 - 01/12/2015 10:02 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Powered by TCPDF (www.tcpdf.org)

04/09/2024 1/1

http://www.tcpdf.org

